Bug 1842442 - openshift authentication operator is in a crashbackoffloop
Summary: openshift authentication operator is in a crashbackoffloop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.4.z
Assignee: Standa Laznicka
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1824800
Blocks: 1842465
TreeView+ depends on / blocked
 
Reported: 2020-06-01 09:29 UTC by OpenShift BugZilla Robot
Modified: 2020-06-17 22:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The deployment of the authentication operator and its payload did not specify they need writable root filesystem Consequence: When an SCC matching the deployments' other needs with a higher-priority than the 'privileged' SCC was created it would be used to default the security context of the deployed containers. If it did not allow writable root systems, it would prevent the containers from running. Fix: Specify that the containers in question need writable root filesystem. Result: authentication operator and its payload containers can run even if the conditions in "Cause" apply
Clone Of:
: 1842465 (view as bug list)
Environment:
Last Closed: 2020-06-17 22:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 286 None closed [release-4.4] Bug 1842442: explicitly set oauth-server container's root file system to writable 2020-09-09 04:57:05 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:57 UTC

Comment 4 Standa Laznicka 2020-06-05 07:19:33 UTC
Nothing on dev side to be done, the PR merged yesterday.

Comment 8 errata-xmlrpc 2020-06-17 22:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.